%define _enable_debug_packages %{nil}
%define debug_package %{nil}

Summary:	An implementation of IPSEC & IKE for Linux
Name:		openswan
Version:	2.6.39
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Servers
URL:		http://www.openswan.org/
Source0:	http://www.openswan.org/download/openswan-%{version}.tar.gz
Source1:	http://www.openswan.org/download/openswan-%{version}.tar.gz.sig
Patch0:		openswan-2.6.28-manfix.patch
Patch1:		openswan-2.6.39-format_not_a_string_literal_and_no_format_arguments.diff
Patch2:		openswan-2.6.39-glibc217-crypt.patch
Requires(post): rpm-helper
Requires(preun): rpm-helper
Provides:	ipsec-userland
Requires:	lsof
Requires:	iproute2
Conflicts:	freeswan
BuildRequires:	bison
BuildRequires:	gmp-devel
BuildRequires:	pam-devel
BuildRequires:	dos2unix
BuildRequires:	flex
BuildRequires:	xmlto
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-style-xsl

%description
Openswan is a free implementation of IPSEC & IKE for Linux, a fork of the
FreeS/WAN project.

IPSEC is Internet Protocol Security and uses strong cryptography to
provide both authentication and encryption services.  These services
allow you to build secure tunnels through untrusted networks.
Everything passing through the untrusted net is encrypted by the ipsec
gateway machine and decrypted by the gateway at the other end of the
tunnel.  The resulting tunnel is a virtual private network or VPN.

This package contains the daemons and userland tools for setting up
Openswan on a kernel with either the 2.6 native IPsec code, or
FreeS/WAN's KLIPS.

%package	doc
Summary:	An implementation of IPSEC & IKE for Linux
Group:		System/Servers

%description	doc
Openswan is a free implementation of IPSEC & IKE for Linux, a fork of the
FreeS/WAN project.

This is the documentation for Openswan.

%prep

%setup -q -n openswan-%{version}
%patch0 -p0 -b .manfix
%patch1 -p0 -b .format_not_a_string_literal_and_no_format_arguments
%patch2 -p1 -b .glibc217-crypt

find . -type f -name "*.html" -exec dos2unix {} \;

%build

%serverbuild

find . -name "Makefile*" | xargs perl -pi -e "s|libexec|%{_lib}|g"
export CLFAGS=$(echo %{optflags} -fno-strict-aliasing -Wno-error=unused-but-set-variable)
# the %make macro doesn't seem to work
make \
    USERCOMPILE="-g $CLFAGS" \
    INC_USRLOCAL=%{_prefix} \
    MANTREE=%{_mandir} \
    INC_RCDEFAULT=%{_initrddir} \
    CONFDIR=%{_sysconfdir}/%name \
    FINALCONFDIR=%{_sysconfdir}/%name \
    FINALCONFFILE=%{_sysconfdir}/%name/ipsec.conf \
    FINALLIBEXECDIR=%{_libdir}/ipsec \
    FINALLIBDIR=%{_libdir}/ipsec \
    programs

%install
rm -rf %{buildroot}

%{make} \
    DESTDIR=%{buildroot} \
    INC_USRLOCAL=%{_prefix} \
    MANTREE=%{buildroot}%{_mandir} \
    INC_RCDEFAULT=%{_initrddir} \
    INC_USRLOCAL=%{_prefix} \
    INC_RCDEFAULT=%{_initrddir} \
    FINALCONFDIR=%{_sysconfdir}/%name \
    FINALLIBEXECDIR=%{_libdir}/ipsec \
    FINALLIBDIR=%{_libdir}/ipsec \
    install

install -d -m700 %{buildroot}%{_localstatedir}/lib/run/pluto
install -d %{buildroot}%{_sbindir}

# Remove old documentation for the time being.
rm -rf %{buildroot}%{_defaultdocdir}/freeswan

# cleanup
rm -rf %{buildroot}%{_sysconfdir}/rc.d/rc*
rm -rf %{buildroot}%{_sysconfdir}/rc.d/init.d/setup
rm -rf %{buildroot}%{_docdir}/%{name}

%preun
%_preun_service ipsec

%post
%_post_service ipsec

%files
%doc BUGS CHANGES COPYING CREDITS README
%attr(0755,root,root) %{_initrddir}/ipsec
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/ipsec.conf
%attr(0700,root,root) %dir %{_sysconfdir}/%{name}/ipsec.d
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/ipsec.d/*/*
%{_sbindir}/ipsec
%dir %{_libdir}/ipsec
%{_libdir}/ipsec/*
%{_localstatedir}/lib/run/pluto
%{_mandir}/*/*

%files doc
%doc docs/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.6.39-3.mga4
+ Revision: 532674
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 luigiwalser <luigiwalser> 2.6.39-2.mga4
+ Revision: 469204
- add patch from mancha to fix null pointer deref with glibc 2.17

* Sat Aug 03 2013 luigiwalser <luigiwalser> 2.6.39-1.mga4
+ Revision: 462940
- merge updates from Patrick Hibbs <codebase7> (mga#10867)
  - Update to version 2.6.39
  - Remove dependancy on ipsec-tools as it's not needed by openswan
  - Update patch 1 (state.c has been fixed upstream)
  - Drop CVE patches (fixed upstream)

* Thu May 16 2013 luigiwalser <luigiwalser> 2.6.28-6.mga4
+ Revision: 413350
- add two more patches from upstream related to CVE-2013-2053

* Thu May 16 2013 luigiwalser <luigiwalser> 2.6.28-5.mga3
+ Revision: 413343
- add patches from redhat to fix CVE-2013-2053

* Sun Jan 13 2013 umeabot <umeabot> 2.6.28-4.mga3
+ Revision: 362172
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 luigiwalser <luigiwalser> 2.6.28-3.mga3
+ Revision: 306628
- fix dos2unix usage
- fix build error
- add patch from RedHat to fix CVE-2010-330[28] and CVE-2010-375[23]
- add patch from RedHat to fix CVE-2011-4073

* Sun Mar 06 2011 ennael <ennael> 2.6.28-2.mga1
+ Revision: 65411
- imported package openswan


* Fri Sep 03 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 2.6.28-2mdv2011.0
+ Revision: 575574
- lsof as require
- 2.6.28
  P0 rediffed

* Wed Feb 10 2010 Funda Wang <fwang@mandriva.org> 2.6.24-2mdv2010.1
+ Revision: 503615
- rebuild for new gmp

* Tue Jan 19 2010 Frederik Himpe <fhimpe@mandriva.org> 2.6.24-1mdv2010.1
+ Revision: 493791
- Update to new version 2.6.24

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 2.6.23-1mdv2010.1
+ Revision: 462705
- Update to new version 2.6.23

* Thu Jun 25 2009 Frederik Himpe <fhimpe@mandriva.org> 2.6.22-1mdv2010.0
+ Revision: 389267
- BuildRequires docbook-dtd412-xml for documentation
- Update to new version 2.6.22
- Build with -fno-strict-aliasing, otherwise it fails

* Tue Mar 31 2009 Oden Eriksson <oeriksson@mandriva.com> 2.6.21-1mdv2009.1
+ Revision: 362883
- 2.6.21 (fixes CVE-2009-0790)
- rediffed P0
- added P1 to fix build with -Werror=format-security

* Wed Dec 03 2008 Jérôme Soyer <saispo@mandriva.org> 2.6.19-1mdv2009.1
+ Revision: 309656
- Add BuildRequires
- New release 2.6.19

* Mon Nov 10 2008 Michael Scherer <misc@mandriva.org> 2.6.18-1mdv2009.1
+ Revision: 301689
- upgrade to 2.6.18
- clean end of line ( automatic with vim )

* Mon Sep 01 2008 Olivier Blin <oblin@mandriva.com> 2.6.16-1mdv2009.0
+ Revision: 278117
- 2.6.16

* Tue Jul 15 2008 Funda Wang <fwang@mandriva.org> 2.6.14-1mdv2009.0
+ Revision: 235755
- drop unneeded setup file
- BR flex
- New version 2.6.14
- rediff man-fix patch

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Sat Mar 01 2008 Olivier Blin <oblin@mandriva.com> 2.4.12-1mdv2008.1
+ Revision: 177431
- 2.4.12
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri May 25 2007 Olivier Blin <oblin@mandriva.com> 2.4.8-1mdv2008.0
+ Revision: 31108
- 2.4.8 (from Zombie Ryushu)


* Fri Mar 23 2007 Olivier Blin <oblin@mandriva.com> 2.4.7-2mdv2007.1
+ Revision: 148619
- conflict with freeswan (#19011)

* Fri Mar 16 2007 Olivier Blin <oblin@mandriva.com> 2.4.7-1mdv2007.1
+ Revision: 145114
- 2.4.7
- Import openswan

* Tue Sep 19 2006 Andreas Hasenack <andreas@mandriva.com> 2.4.5-2mdv2007.0
- fix ipsec path in manpage (#11921)
- added patch to fix syntax error which was preventing build

* Sat Apr 29 2006 Oden Eriksson <oeriksson@mandriva.com> 2.4.5-1mdk
- 2.4.5

* Mon Mar 06 2006 Lenny Cartier <lenny@mandriva.com> 2.4.4-1mdk
- 2.4.4

* Fri Aug 19 2005 Arnaud de Lorbeau <> 2.3.1-1mdk
- 2.3.1
- patch for gcc4 from [Openswan dev] ML

* Tue Oct 05 2004 Robert Vojta <robert.vojta@mandrake.org> 2.2.0-2mdk
- missing BuildRequires for bison

* Wed Sep 29 2004 Florin <florin@mandrakesoft.com> 2.2.0-1mdk
- 2.2.0
- build with -j2 doesn't seem to work (use make instead of make -j2)
- remove the no longer existing INSTALL file
- add the docs files
- add the missing htmldoc in BuildRequires

* Wed May 19 2004 Florin <florin@mandrakesoft.com> 2.1.2-0.rc3.3mdk
- sysconfdir is now /etc/openswan

* Thu Apr 22 2004 Florin <florin@mandrakesoft.com> 2.1.2-0.rc3.2mdk
- add the signature file

* Thu Apr 22 2004 Florin <florin@mandrakesoft.com> 2.1.2-0.rc3.1mdk
- first Mandrake release

